ProfilingValue (JProfiler API)
Date: 2010-07-01

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.platform.structures
Interface ProfilingValue

All Superinterfaces:
  java.lang.Comparable<ProfilingValue>

All Known Subinterfaces:
  Tree

    public interface ProfilingValue

extends java.lang.Comparable<ProfilingValue>

Contains information about a CPU or memory profiling measurement in a call tree or hot spot list.

The entity that is described by the profiling value results from the actual interface returned by the descriptor property. The possible descriptor types are determined by the aggregation level that you specify when requesting the profiling data.

See Also:
  `Aggregation`, `Descriptor`

Method Summary
`int` | `getCount()` Returns the count of the measurement.
`Descriptor` | `getDescriptor(Connection connection)` Returns the descriptor that describes the entity of this profiling value.
`short` | `getLineNumber()` Returns the line number for the context from which the entity associated with this profiling value was called.
`long` | `getValue()` Returns the value of the measurement.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getDescriptor

    Descriptor getDescriptor(Connection connection)

  Returns the descriptor that describes the entity of this profiling value. You have to down-cast the returned interface to the actual interface in order to get access to the entire information that describes the entity.

  Parameters:
    `connection` - the connection by which this heap value was created
  Returns:
    the descriptor

### getLineNumber

    short getLineNumber()

  Returns the line number for the context from which the entity associated with this profiling value was called. The line number refers to origin of the call, i.e. the source code of the line number is contained in the calling node.

  Line numbers are only available if this feature is enabled on the "Features" tab of the profiling settings and if the descriptor is a `MethodDescriptor`.

  Returns:
    the line number of the origin of the call

### getValue

    long getValue()

  Returns the value of the measurement. For a time measurement the unit is microseconds, for an allocation measurement the unit is bytes.

  Returns:
    the value

### getCount

    int getCount()

  Returns the count of the measurement. For a time measurement this is an invocation count, for an allocation measurement this is an allocation count.

  Returns:
    the count

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD